# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=025bf9f768cbcb1a165dbe1a110babfb"

PROVIDES += "u-boot"
PV = "2014.04-smarcfimx6"

SRCREV = "3b1e04a5dbb7ce5ac2b69bdac905b72e2ac56308"
SRCBRANCH = "smarc-imx_v2014.04_3.14.28_1.0.0_ga"
# eMMC Boot Up
#SRCREV = "1fde73522a9617f04c5eb16b508dd70f193139bb"
#SRCBRANCH = "smarc-emmc-imx_v2014.04_3.14.28_1.0.0_ga"
SRC_URI = "git://git@git.embedian.com/developer/smarc-t335x-uboot.git;protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6)"

